## ICalGeo ICalGeo |

## Functions

ICalGeo * | i_cal_geo_new ()
ICalGeo * | i_cal_geo_clone ()
gdouble | i_cal_geo_get_lat ()
void | i_cal_geo_set_lat ()
gdouble | i_cal_geo_get_lon ()
void | i_cal_geo_set_lon ()

## Types and Values

| ICalGeo
struct | ICalGeoClass

## Object Hierarchy

        GObject
        ╰── ICalObject
            ╰── ICalGeo

## Description

## Functions

### i_cal_geo_new ()

    ICalGeo *
    i_cal_geo_new (gdouble lat,
                   gdouble lon);

Create a new ICalGeo.

#### Parameters

lat | Latitude. |
lon | Longitude. |

#### Returns

The newly created ICalGeo.

[transfer full]

Since: 1.0

### i_cal_geo_clone ()

    ICalGeo *
    i_cal_geo_clone (const ICalGeo *geo);

Create a new ICalGeo, copy of `geo` .

#### Parameters

geo | The ICalGeo to clone. |

#### Returns

The newly created ICalGeo, copy of `geo` .

[transfer full]

Since: 1.0

### i_cal_geo_get_lat ()

    gdouble
    i_cal_geo_get_lat (ICalGeo *geo);

Get the lat of ICalGeo.

#### Parameters

geo | The ICalGeo to be queried. |

#### Returns

The lat.

Since: 1.0

### i_cal_geo_set_lat ()

    void
    i_cal_geo_set_lat (ICalGeo *geo,
                       gdouble lat);

Set the lat of ICalGeo.

#### Parameters

geo | The ICalGeo to be set. |
lat | The lat. |

Since: 1.0

### i_cal_geo_get_lon ()

    gdouble
    i_cal_geo_get_lon (ICalGeo *geo);

Get the lon of ICalGeo.

#### Parameters

geo | The ICalGeo to be queried. |

#### Returns

The lon.

Since: 1.0

### i_cal_geo_set_lon ()

    void
    i_cal_geo_set_lon (ICalGeo *geo,
                       gdouble lon);

Set the lon of ICalGeo.

#### Parameters

geo | The ICalGeo to be set. |
lon | The lon. |

Since: 1.0

## Types and Values

### ICalGeo

    typedef struct _ICalGeo ICalGeo;

This is the ICalGeo instance.

### struct ICalGeoClass

    struct ICalGeoClass {
    };

This is the ICalGeo class.